Lavalite package that provides help management facility for the cms.

## Installation

Begin by installing this package through Composer. Edit your project's `composer.json` file to require `larakristen9@gmail.com/help`.

    "larakristen9@gmail.com/help": "dev-master"

Next, update Composer from the Terminal:

    composer update

Once this operation completes execute below cammnds in command line to finalize installation.

    Larakristen9@gmail.com\Help\Providers\HelpServiceProvider::class,

And also add it to alias

    'Help'  => Larakristen9@gmail.com\Help\Facades\Help::class,

## Publishing files and migraiting database.

**Migration and seeds**

    php artisan migrate
    php artisan db:seed --class=Larakristen9@gmail.com\\Help\\Seeds\\HelpTableSeeder

**Publishing configuration**

    php artisan vendor:publish --provider="Larakristen9@gmail.com\Help\Providers\HelpServiceProvider" --tag="config"

**Publishing language**

    php artisan vendor:publish --provider="Larakristen9@gmail.com\Help\Providers\HelpServiceProvider" --tag="lang"

**Publishing views**

    php artisan vendor:publish --provider="Larakristen9@gmail.com\Help\Providers\HelpServiceProvider" --tag="view"


### Web Urls

**Admin**

    http://path-to-route-folder/admin/help/{modulename}

**User**

    http://path-to-route-folder/user/help/{modulename}

**Public**

    http://path-to-route-folder/helps


### API endpoints

**List**

    http://path-to-route-folder/api/user/help/{modulename}
    METHOD: GET

**Create**

    http://path-to-route-folder/api/user/help/{modulename}
    METHOD: POST

**Edit**

    http://path-to-route-folder/api/user/help/{modulename}/{id}
    METHOD: PUT

**Delete**

    http://path-to-route-folder/api/user/help/{modulename}/{id}
    METHOD: DELETE

**Public List**

    http://path-to-route-folder/api/help/{modulename}
    METHOD: GET

**Public Single**

    http://path-to-route-folder/api/help/{modulename}/{slug}
    METHOD: GET